*Updated whenever I can.*

> **Note:** It seems that HandBrake don't scale well with more that 32 threads.

Encoding a 2h video (live concert from Japanese TV, MPEG-2, dark scene with grain) at 1280x720 resolution.

```console
$ HandBrakeCLI -i in.ts -o out.mp4 -f av_mp4 -O -e x264 --encoder-preset slow --encoder-tune grain --encoder-profile high --encoder-level auto -q 20 --vfr -E copy:aac -w 1280 -l 720 --decomb --detelecine --crop 0:0:0:0
```

> **Note:** You can sort columns by clicking on them.

| Instance                       | FPS       | CPU used by hypervisor                     | Price hourly | Cost by performance, less is better |
| ------------------------------ | --------- | ------------------------------------------ | ------------ | ----------------------------------- |
| Scaleway 8 vCPU GP1-S          | 30.584057 | AMD EPYC 7401P 24-Core Processor @ 2.00GHz | 0.170€       | 0.00555845158148900912              |
| Hetzner CCX32 8 dedicated vCPU | 31.949247 | AMD EPYC 3rd Gen @ 2.40GHz                 | 0.120€       | 0.00375595706527919108              |
| Hetzner CPX41 8 vCPU           | 36.369133 | AMD EPYC 2nd Gen @ 2.40GHz                 | 0.038€       | 0.00104484206428566773              |
| Scaleway 16 vCPU GP1-M         | 43.332794 | AMD EPYC 7401P 24-Core Processor @ 2.00GHz | 0.340€       | 0.00784625150180715326              |
| Vultr bare-metal 12 CPU        | 51.219917 | Intel(R) Xeon(R) E-2286G CPU @ 4.00GHz     | 0.280$       | 0.00546662346211923771              |
| Hetzner CPX51 16 vCPU          | 55.919209 | AMD EPYC 2nd Gen @ 2.40GHz                 | 0.080€       | 0.00143063540115526312              |
| GCP 24 vCPU                    | 57.956608 | Intel(R) Xeon(R) CPU @ 2.60GHz             | 0.688$       | 0.01187095007354467673              |
| GCP 32 vCPU                    | 63.491947 | Intel(R) Xeon(R) CPU @ 2.00GHz             | 0.874$       | 0.01376552525629746399              |
| Vultr 24 vCPU                  | 64.176575 | Virtual CPU a7769a6388d5 @ 2.40GHz         | 0.952$       | 0.01483407302430832433              |
| GCP 96 vCPU                    | 69.550346 | Intel(R) Xeon(R) CPU @ 2.00GHz             | 2.621$       | 0.03768493114326131461              |
| Scaleway 32 vCPU GP1-L         | 85.874176 | AMD EPYC 7402P 24-Core Processor @ 2.80GHz | 0.660€       | 0.00768566326621870584              |

Not sold anymore:

| Instance                      | FPS       | CPU used by hypervisor                         | Price hourly | Cost by performance, less is better |
|-------------------------------|-----------|------------------------------------------------|--------------|-------------------------------------|
| Scaleway bare-metal 8 CPU C2L | 12.072023 | Intel(R) Atom(TM) CPU C2750 @ 2.40GHz          | 0.048€       | 0.00397613556567942257              |
| Hetzner dedicated 8 vCPU      | 28.270920 | Intel Xeon Processor (Skylake, IBRS) @ 2.10GHz | 0.144€       | 0.00509357318403504378              |
| Vultr bare-metal 8 CPU        | 36.676926 | Intel(R) Xeon(R) CPU E3-1270 v6 @ 3.80GHz      | 0.179$       | 0.00488045263117197989              |

